rm(list=ls())
graphics.off()

#install.packages("ggplot2")
#library(ggplot2)
#library(readxl)
library(xts)
#library(lattice)

C_MAL <- read.csv2("~/YOUR_DRIVE_LOCATION/C_Isotopes_Mzimba2019_TimeTrans2.csv")

#View(C_MAL)

#as.vector(C_MAL)

Loc1 <- factor(C_MAL$Loc2, levels = c("terrace", "AU3", "AU7", "AU8"))

Age <- factor(C_MAL$ContextCode, levels = c("absolute age", "minimum age", "approximate age"))
x1 <- C_MAL$AdjAgeKa
y1 <- C_MAL$d13C
Corr <- cor(x1, y1)
cols <- c("black", "gray", "white")
cols1 <- cols[as.numeric(Age)]
shapes <- c("terrace" = 21, "AU3" = 22, "AU7" = 23, "AU8" = 24)
shapes2 <- shapes[as.numeric(Loc1)]

#pot <- C_MAL$Location
#cols <- scale_color_gradient(C_MAL$ContextCode)

#get intercept and slope value
#reg<-lm(formula = y1 ~ x1)                      
#coeff<-coefficients(reg)          
#intercept<-coeff[1]
#slope<- coeff[2]

plot(y1~x1, xlim=rev(range(x1)), bg= cols1, col= "black", pch=shapes2,
     xlab = "thousands of years BP",
     ylab = {delta}^13*C~'\u2030')
abline(lm(y1 ~ x1), col = "red", lwd = 3, lty = 3)
lines(lowess(x1, y1), col = "blue", lwd = 3, lty = 4)

legend("topleft", legend = c("terrace", "AU3", "AU7", "AU8", "absolute age", "minimum age", "approximate age"),
       cex=c(0.9), pch=c(21, 22, 23, 24, 22, 22, 22), col= c("black"), pt.bg = c("black", "black", "black", "black", cols), ncol = 2, text.width = 4, bty = "n")


#bp <-ggplot(C_MAL, aes(x = x1, y = y1, colour = subs)) +
#  geom_point() +
#  geom_abline(intercept = intercept, slope = slope, color="black", 
#                linetype="dotted", size=0.5) +
#scale_linetype_discrete(name  ="Context") +
  #geom_label(data = reg, 
  #           aes(x = Inf, y = Inf, 
  #               label = paste("R2 = ", R2, sep = " ")),
  #           hjust = 1, vjust = 1) +
  #facet_grid(y1 ~ x1,  scales = "free_y") +
  #theme_bw() +
 
   #scale_x_reverse(limits = c(25, 0)) +
#  ylab(expression({delta}^13*C~'\u2030')) +      
#  xlab("thousands of years BP") +
#   ggtitle("Time transgressive carbon isotopes, Kasitu River Valley, Malawi") +
#  theme(panel.background = element_rect(fill = 'white'),
#        legend.position = "right")
#bp

#bp  + scale_colour_discrete(name="Dating context")
