rm(list=ls())
graphics.off()

#install.packages("ggplot2")
library(ggplot2)
library(ggforce)

ISO_MAL <- read.csv2("~/YOUR_DRIVE_LOCATION/C_N_Isotopes_Mzimba2019.csv")

#View(ISO_MAL)

#as.vector(ISO_TAJ21)

ISO_MAL$Location <- factor(ISO_MAL$Location, levels = c("Kasitu1A", "Kasitu2", "Kasitu4", "AU3", "AU5","AU7","AU8"))
ISO_MAL$Context <- factor(ISO_MAL$Context2, levels = c("Unknown", "Late Holocene", "Middle Holocene", "Early Holocene", 
                                                      "Pleistocene"))

x1 <- ISO_MAL$d13C
y1 <- ISO_MAL$d15N
subs <- ISO_MAL$Context
Corr <- cor(x1, y1)
pot <- ISO_MAL$Location
cols <- scale_color_gradient(ISO_MAL$ContextCode, low = "blue", high = "red")
lty1 <- ISO_MAL$Line


#get intercept and slope value
reg<-lm(formula = y1 ~ x1)                      
coeff<-coefficients(reg)          
intercept<-coeff[1]
slope<- coeff[2]

ggplot(ISO_MAL, aes(x = x1, y = y1, colour = pot , linetype=subs)) +
  geom_point() +
  scale_y_continuous(limits=c(2,8)) +
  scale_x_continuous(limits=c(-35,-12)) +
  geom_abline(intercept = intercept, slope = slope, color="red", 
              linetype="dashed", linewidth=1.5) +
  scale_colour_discrete(name = "Site name", ) +
  #stat_ellipse(aes(x=x1, y=y1, group = subs, linetype = subs), type = "norm", level = 0.95,na.rm = TRUE) +
  geom_mark_ellipse(aes(x=x1, y=y1, group = subs, linetype = subs ), color = "black")  +
  
  #scale_linetype_discrete(name  ="Context") +
  scale_linetype_manual(values = c("2F", "dashed", "solid", "dotdash", "8F"), name = "Context") +
  xlab(expression({delta}^13*C~'\u2030')) +      
  ylab(expression({delta}^15*N~'\u2030')) +
  #ggtitle("C and N isotopes") +
  theme(panel.background = element_rect(fill = 'white'),
        legend.position = "right", legend.key = element_blank())

